class GetProcedureModel {
  List<EntityList> entityList;
  int rowcount;
  dynamic statusMessage;

  GetProcedureModel({this.entityList, this.rowcount, this.statusMessage});

  GetProcedureModel.fromJson(Map<String, dynamic> json) {
    if (json['entityList'] != null) {
      entityList = new List<EntityList>();
      json['entityList'].forEach((v) {
        entityList.add(new EntityList.fromJson(v));
      });
    }
    rowcount = json['rowcount'];
    statusMessage = json['statusMessage'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.entityList != null) {
      data['entityList'] = this.entityList.map((v) => v.toJson()).toList();
    }
    data['rowcount'] = this.rowcount;
    data['statusMessage'] = this.statusMessage;
    return data;
  }
}

class EntityList {
  bool allowedClinic;
  String category;
  String categoryID;
  String genderValidation;
  String group;
  String orderedValidation;
  dynamic price;
  String procedureId;
  String procedureName;
  String specialPermission;
  String subGroup;
  String template;

  EntityList(
      {this.allowedClinic,
      this.category,
      this.categoryID,
      this.genderValidation,
      this.group,
      this.orderedValidation,
      this.price,
      this.procedureId,
      this.procedureName,
      this.specialPermission,
      this.subGroup,
      this.template});

  EntityList.fromJson(Map<String, dynamic> json) {
    allowedClinic = json['allowedClinic'];
    category = json['category'];
    categoryID = json['categoryID'];
    genderValidation = json['genderValidation'];
    group = json['group'];
    orderedValidation = json['orderedValidation'];
    price = json['price'];
    procedureId = json['procedureId'];
    procedureName = json['procedureName'];
    specialPermission = json['specialPermission'];
    subGroup = json['subGroup'];
    template = json['template'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['allowedClinic'] = this.allowedClinic;
    data['category'] = this.category;
    data['categoryID'] = this.categoryID;
    data['genderValidation'] = this.genderValidation;
    data['group'] = this.group;
    data['orderedValidation'] = this.orderedValidation;
    data['price'] = this.price;
    data['procedureId'] = this.procedureId;
    data['procedureName'] = this.procedureName;
    data['specialPermission'] = this.specialPermission;
    data['subGroup'] = this.subGroup;
    data['template'] = this.template;
    return data;
  }
}
